Page MenuHomePhabricator

2015 MediaWiki Developer Summit session proposal from Services Team
Closed, ResolvedPublic

Description

Session candidates for the SOA track.

Plenary session

See T85154.

Service design goals, issues and infrastructure

T86567

Looking ahead: Virtualization, CI and continuous deployment

Panel discussion. See T86372.

SOA proliferation through specification

See T86375.

Security in a distributed service environment

Talk / tutorial by @csteipp. Tracked in T86049.

Other ideas

Content representation / UI / skins

Covered in T86564.

The road to multi-DC operation

Covered by main panel (T85154), as it affects a lot of decisions

  • issues: replication consistency, caches
  • possible solutions
  • how this affects our software architecture

Scaling down for third-party users

Covered by main panel (T85154), as it affects a lot of decisions

  • define minimum resources for a basic MediaWiki install (strawman ex: $2.99 / month VM with 1G of RAM?)
  • simple & small implementations of common services for testing and small installs
  • setup automation / packaging for VMs

Platform choices for new services

Not convinced that this would really be productive. There also does not seem to be much of a desire to introduce new platforms right now.

  • SOA gives us freedom to choose (and change) technology per service / task
  • don't want to go overboard though, as each additional technology has a cost
  • current main development platforms: PHP, client-side JS & Node.js, some Java
  • trends: industry and WMF
  • new candidates: Hack, Go, Rust
  • relative strengths for our use cases
  • successful outcome:
    • shared understanding of relative strengths and trends
    • possibly guidance on what to choose in which area
    • awareness of new options

Event Timeline

GWicke claimed this task.
GWicke raised the priority of this task from to Needs Triage.
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jan 7 2015, 6:39 PM
GWicke set Security to None.
GWicke updated the task description. (Show Details)
Qgil added a subscriber: Qgil.Jan 7 2015, 7:11 PM

Thank you for this. Bare with me since I'm not a specialist in this topic, but are there areas to be discussed together with Mobile and/or Editing (the latter perhaps understood as contributing content in the generic sense)? We are actively seeking bridges between the main areas of the program.

GWicke updated the task description. (Show Details)Jan 7 2015, 7:11 PM
GWicke updated the task description. (Show Details)EditedJan 7 2015, 7:18 PM

@Qgil, these are ideas and not final yet. Some topics do overlap strongly with other themes, such as content API / API-driven frontend with mobile. Lets see what we should merge or reference to be complementary.

GWicke updated the task description. (Show Details)Jan 7 2015, 7:21 PM
GWicke added subscribers: faidon, mark.
GWicke updated the task description. (Show Details)Jan 7 2015, 7:24 PM
bd808 added a subscriber: bd808.Jan 7 2015, 7:29 PM
GWicke updated the task description. (Show Details)Jan 7 2015, 7:41 PM
GWicke updated the task description. (Show Details)Jan 7 2015, 7:54 PM
GWicke updated the task description. (Show Details)Jan 7 2015, 7:57 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)
GWicke added a subscriber: csteipp.
GWicke triaged this task as High priority.Jan 7 2015, 10:12 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jan 7 2015, 10:23 PM
GWicke added a subscriber: Jdlrobson.
GWicke updated the task description. (Show Details)Jan 7 2015, 10:30 PM
GWicke updated the task description. (Show Details)Jan 7 2015, 10:46 PM
GWicke updated the task description. (Show Details)Jan 8 2015, 2:08 AM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jan 8 2015, 2:16 AM
GWicke updated the task description. (Show Details)Jan 8 2015, 2:20 AM
Qgil added a comment.Jan 8 2015, 12:18 PM

Apart from the plenary session, is there any other candidate to be scheduled in the main room? See T85632

mark updated the task description. (Show Details)Jan 8 2015, 1:37 PM
GWicke updated the task description. (Show Details)Jan 8 2015, 4:17 PM
GWicke updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.Jan 8 2015, 4:19 PM
GWicke updated the task description. (Show Details)Jan 8 2015, 4:56 PM
marcoil added a subscriber: marcoil.Jan 8 2015, 6:14 PM
GWicke updated the task description. (Show Details)Jan 9 2015, 1:41 AM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jan 9 2015, 1:48 AM
GWicke updated the task description. (Show Details)Jan 9 2015, 10:12 PM
GWicke updated the task description. (Show Details)Jan 9 2015, 10:57 PM
GWicke updated the task description. (Show Details)Jan 12 2015, 7:24 PM
GWicke updated the task description. (Show Details)
GWicke renamed this task from Service Oriented Architecture sessions at 2015 MediaWiki Developer Summit to 2015 MediaWiki Developer Summit session proposal: .Jan 12 2015, 7:31 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)Jan 12 2015, 7:37 PM
GWicke updated the task description. (Show Details)
GWicke updated the task description. (Show Details)
Jdforrester-WMF renamed this task from 2015 MediaWiki Developer Summit session proposal: to 2015 MediaWiki Developer Summit session proposal from Services Team.Jan 12 2015, 8:47 PM
Qgil added a comment.Jan 23 2015, 4:02 PM

It looks like this task has fulfilled its purpose?

GWicke closed this task as Resolved.Feb 20 2015, 10:14 PM

@Qgil, indeed. Closing.